"use strict";Object.defineProperty(exports, "__esModule", {value: true});

var _makeSwapPlugin = require('../util/makeSwapPlugin');

const swapInfo = {
  pluginId: 'xrpdex',
  isDex: true,
  displayName: 'XRP DEX',
  supportEmail: 'support@edge.app'
}

 const xrpdex = _makeSwapPlugin.makeSwapPlugin.call(void 0, {
  swapInfo,

  checkEnvironment() {
    if (typeof BigInt === 'undefined') {
      throw new Error('XRP DEX requires BigInt support')
    }
  },

  getInnerPlugin: async () => await Promise.resolve().then(() => require('./defi/xrpDex'))
}); exports.xrpdex = xrpdex
