"use strict";Object.defineProperty(exports, "__esModule", {value: true});





































 function makeSwapPlugin(template) {
  const { swapInfo, checkEnvironment = () => {} } = template

  return (env) => {
    const innerEnv = { ...env, swapInfo }
    let pluginPromise

    return {
      swapInfo,
      async fetchSwapQuote(request, userSettings, opts) {
        checkEnvironment()
        if (pluginPromise == null) {
          pluginPromise = template.getInnerPlugin()
        }
        const plugin = await pluginPromise

        return await plugin.fetchSwapQuote(
          innerEnv,
          request,
          userSettings,
          opts
        )
      }
    }
  }
} exports.makeSwapPlugin = makeSwapPlugin;
